> For the complete documentation index, see [llms.txt](https://docs.pandastack.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandastack.io/v1/getting-started/platform/conatinered-website/how-to-configure-nodejs-project.md).

# How to configure nodejs project

**Follow the steps below to deploy a Node.js based application on** <a href="https://pandastack.io/" class="button primary">PandaStack</a>**:**

{% hint style="info" %}
✅ **Pre-requisites:**

* Either your Node.js app **should listen on port `9999`  or**
* Alternatively, you can override this by setting the `PORT` environment variable during deployment
  {% endhint %}

<br>

1. Visit <a href="https://dashboard.pandastack.io/projects" class="button primary">Projects</a>and click on <mark style="color:purple;">**Add New Project**</mark>.
2. Toggle the <mark style="color:purple;">**Run as Container**</mark> option to ensure your application runs inside a container.
3. Select the `Node.js` repository you want to deploy.
4. Fill out the form according to your repository and application setup. Make sure you use `PORT` env variable if your app is not listening to port <mark style="color:purple;">**9999**</mark>.
5. Choose the resources based on your app's requirements.
6. Once the form is complete, click <mark style="color:purple;">**Deploy Container Site**</mark>.
7. Your logs will start streaming immediately after deployment begins.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandastack.io/v1/getting-started/platform/conatinered-website/how-to-configure-nodejs-project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
